NodeAccountingMessage (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages
Class NodeAccountingMessage<RECORD extends IntervalRecord>

    java.lang.Object
      org.gcube.common.core.monitoring.GCUBEMessage
          org.gcube.messaging.common.messages.NodeAccountingMessage<RECORD>

All Implemented Interfaces:
  Serializable

    public class NodeAccountingMessage<RECORD extends IntervalRecord>

extends org.gcube.common.core.monitoring.GCUBEMessage

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`org.gcube.common.core.monitoring.GCUBEMessage.ResultType`

Field Summary
`static String` | `nodeAccounting` topic base

Fields inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`DATE_FORMAT_NOW, result, scope, sourceGHN, time, topic`

Constructor Summary
`NodeAccountingMessage()`

Method Summary
`void` | `createTopicName(org.gcube.common.core.scope.GCUBEScope scope)` create the topic name
`String` | `getCallScope()` get the caller scope
`RECORD` | `getRecord(String key)` Get a record given the IP key
`HashMap<String,RECORD>` | `getRecords()` get the RECORD map
`String` | `getServiceClass()` get the service class
`String` | `getServiceName()` get the service Name
`void` | `setCallScope(String callScope)` set the caller scope
`void` | `setRecord(String key, RECORD record)` set the record for the given IP
`void` | `setRecords(HashMap<String,RECORD> records)` set the RECORD map
`void` | `setServiceClass(String serviceClass)` set the service class
`void` | `setServiceName(String serviceName)` set the service Name

Methods inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`getResult, getScope, getSourceGHN, getTime, getTopic, setResult, setScope, setSourceGHN, setTime, setTimeNow, setTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodeAccounting

    public static final String nodeAccounting

  topic base

  See Also:
    Constant Field Values

Constructor Detail

### NodeAccountingMessage

    public NodeAccountingMessage()

Method Detail

### getServiceName

    public String getServiceName()

  get the service Name

  Returns:
    the service Name

### setServiceName

    public void setServiceName(String serviceName)

  set the service Name

  Parameters:
    `serviceName` -

### getServiceClass

    public String getServiceClass()

  get the service class

  Returns:
    the service class

### setServiceClass

    public void setServiceClass(String serviceClass)

  set the service class

  Parameters:
    `serviceClass` - serviceClass

### createTopicName

    public void createTopicName(org.gcube.common.core.scope.GCUBEScope scope)

  create the topic name

  Parameters:
    `scope` - scope

### getCallScope

    public String getCallScope()

  get the caller scope

  Returns:
    caller scope

### setCallScope

    public void setCallScope(String callScope)

  set the caller scope

  Parameters:
    `callScope` - callScope

### getRecords

    public HashMap<String,RECORD> getRecords()

  get the RECORD map

  Returns:
    the RECORD map

### setRecords

    public void setRecords(HashMap<String,RECORD> records)

  set the RECORD map

  Parameters:
    `records` - the records

### getRecord

    public RECORD getRecord(String key)

  Get a record given the IP key

  Parameters:
    `timeSlot` - IP key
  Returns:
    the record associated to the timeSlot

### setRecord

    public void setRecord(String key,
                          RECORD record)

  set the record for the given IP

  Parameters:
    `key` - the IP
    `record` - the record

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.